<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="utf-8"/>
	<title>Home</title>
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		  integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">

	<div class="row">
		<h2>Update New Rule</h2>
	</div>

	<div class="form-group w-25">
		<form action="#" th:action="@{/ruleName/update/{id}(id=${ruleName.id})}" th:object="${ruleName}" method="post" class="form-horizontal" style="width: 100%">
			<form action="#" th:action="@{/ruleName/validate}" th:object="${ruleName}" method="post" class="form-horizontal" style="width: 100%">
				<input type="hidden" th:field="*{id}"/>
				<div class="form-group mb-4">
					<label for="name">Name</label>
					<input type="text" th:field="*{name}" class="form-control col-4 col-xs-3"
						   placeholder="Name" name="name" id="name">
					<div class="text-danger" th:if="${#fields.hasErrors('name')}"
						 th:errors="*{name}">Wrong name
					</div>
				</div>
				<div class="form-group mb-4">
					<label for="description">Description</label>
					<input type="text" th:field="*{description}" class="form-control col-4" placeholder="Description" name="description"
						   id="description">
					<div class="text-danger" th:if="${#fields.hasErrors('description')}"
						 th:errors="*{description}">Wrong description
					</div>
				</div>
				<div class="form-group mb-4">
					<label for="json">Json</label>
					<input type="text" th:field="*{json}" class="form-control col-4"
						   placeholder="Json" name="json" id="json">
					<div class="text-danger" th:if="${#fields.hasErrors('json')}"
						 th:errors="*{json}">Wrong json
					</div>
				</div>
				<div class="form-group mb-4">
					<label for="template">Template</label>
					<input type="text" th:field="*{template}" class="form-control col-4"
						   placeholder="Template" name="template" id="template">
					<div class="text-danger" th:if="${#fields.hasErrors('template')}"
						 th:errors="*{template}">Wrong template
					</div>
				</div>
				<div class="form-group mb-4">
					<label for="sql">Sql</label>
					<input type="text" th:field="*{sqlStr}" class="form-control col-4"
						   placeholder="Sql" name="sql" id="sql">
					<div class="text-danger" th:if="${#fields.hasErrors('sqlStr')}"
						 th:errors="*{sqlStr}">Wrong sql
					</div>
				</div>
				<div class="form-group mb-4">
					<label for="sqlpart">Sql part</label>
					<input type="text" th:field="*{sqlPart}" class="form-control col-4"
						   placeholder="Sql part" name="sqlpart" id="sqlpart">
					<div class="text-danger" th:if="${#fields.hasErrors('sqlPart')}"
						 th:errors="*{sqlPart}">Wrong sql part
					</div>
				</div>
				<button type="submit" class="btn btn-primary">Update RuleName</button>
				<a class="btn btn-danger" th:href="@{/ruleName/list}">Cancel</a>

		</form>
	</div>

</div>
</body>
</html>